'''Frontend gui to entertainer'''
# pylint: disable-msg=W0612

def main(*args, **kwargs):
    '''Frontend runner'''

    # Import statements are inside the function so that they aren't imported
    # every time something from the frontend is imported

    # cluttergtk must be imported before the first import of clutter so it
    # must be imported even though pylint complains about it not being used.
    import cluttergtk
    import clutter
    import gobject
    import gtk

    from entertainerlib.frontend.translation_setup import TranslationSetup
    TranslationSetup()

    from entertainerlib.backend.backend_server import BackendServer
    from entertainerlib.utils.configuration import Configuration
    from entertainerlib.frontend.frontend_client import FrontendClient

    gobject.threads_init()
    gtk.gdk.threads_init()
    clutter.threads_init()

    config = Configuration()
    if config.start_auto_server():
        print "Entertainer backend starting..."
        BackendServer()

    frontend_client = FrontendClient()
    frontend_client.start()


